streamWrapper::stream_seek
streamWrapper::stream_stat
streamWrapper
PHP Manual

# streamWrapper::stream_set_option

Change stream options

### Description

public bool streamWrapper::stream_set_option ( int `$option` , int `$arg1` , int `$arg2` )

This method is called to set options on the stream.

### Parameters

`option`

  One of:

  - `STREAM_OPTION_BLOCKING` (The method was called in response to stream_set_blocking)
  - `STREAM_OPTION_READ_TIMEOUT` (The method was called in response to stream_set_timeout)
  - `STREAM_OPTION_WRITE_BUFFER` (The method was called in response to stream_set_write_buffer)
`arg1`

  If `option` is

  - `STREAM_OPTION_BLOCKING`: requested blocking mode (1 meaning block 0 not blocking).
  - `STREAM_OPTION_READ_TIMEOUT`: the timeout in seconds.
  - `STREAM_OPTION_WRITE_BUFFER`: buffer mode (`STREAM_BUFFER_NONE` or `STREAM_BUFFER_FULL`).
`arg2`

  If `option` is

  - `STREAM_OPTION_BLOCKING`: This option is not set.
  - `STREAM_OPTION_READ_TIMEOUT`: the timeout in microseconds.
  - `STREAM_OPTION_WRITE_BUFFER`: the requested buffer size.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. If `option` is not implemented, `FALSE` should be returned.

### See Also

- stream_set_blocking
- stream_set_timeout
- stream_set_write_buffer